summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'patches/fbsd-conf/fbsd-conf.sh')
-rw-r--r--patches/fbsd-conf/fbsd-conf.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/patches/fbsd-conf/fbsd-conf.sh b/patches/fbsd-conf/fbsd-conf.sh
new file mode 100644
index 0000000..70c489f
--- /dev/null
+++ b/patches/fbsd-conf/fbsd-conf.sh
@@ -0,0 +1,13 @@
+# Copyright 2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+patch_targets() {
+ # only apply for FreeBSD
+ [[ ${CHOST} == *-freebsd* ]] || return 0
+
+ # Find the configure scripts with a libtool that checks for freebsd
+ # versioning format, and that were not patched with our patch already
+ find "${WORKDIR}" -name configure -print0 | \
+ xargs -0 grep -Zl "version_type=freebsd-" | \
+ xargs -0 grep -L 'Handle Gentoo/FreeBSD as it was Linux'
+}